package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EsquemaCorridaEmbarqueDesembarqueDAO;
import com.rjconsultores.ventaboletos.entidad.EsquemaCorrida;
import com.rjconsultores.ventaboletos.entidad.EsquemaCorridaEmbarqueDesembarque;
import com.rjconsultores.ventaboletos.service.EsquemaCorridaEmbarqueDesembarqueService;

@Service("esquemaCorridaEmbarqueDesembarqueService")
public class EsquemaCorridaEmbarqueDesembarqueServiceImpl implements EsquemaCorridaEmbarqueDesembarqueService {

	@Autowired
	private EsquemaCorridaEmbarqueDesembarqueDAO esquemaCorridaEmbarqueDesembarqueDAO;

	@Override
	public List<EsquemaCorridaEmbarqueDesembarque> obtenerTodos() {
		return esquemaCorridaEmbarqueDesembarqueDAO.obtenerTodos();
	}

	@Override
	public EsquemaCorridaEmbarqueDesembarque obtenerID(Integer id) {
		return esquemaCorridaEmbarqueDesembarqueDAO.obtenerID(id);
	}

	@Transactional
	@Override
	public EsquemaCorridaEmbarqueDesembarque suscribir(EsquemaCorridaEmbarqueDesembarque entidad) {
		return esquemaCorridaEmbarqueDesembarqueDAO.suscribir(entidad);
	}

	@Transactional
	@Override
	public EsquemaCorridaEmbarqueDesembarque actualizacion(EsquemaCorridaEmbarqueDesembarque entidad) {
		return esquemaCorridaEmbarqueDesembarqueDAO.actualizacion(entidad);
	}

	@Transactional
	@Override
	public void borrar(EsquemaCorridaEmbarqueDesembarque entidad) {
		esquemaCorridaEmbarqueDesembarqueDAO.borrar(entidad);
	}

	@Override
	public List<EsquemaCorridaEmbarqueDesembarque> obtenerPorEsquemaCorrida(EsquemaCorrida esquemaCorrida) {
		return esquemaCorridaEmbarqueDesembarqueDAO.obtenerPorEsquemaCorrida(esquemaCorrida);
	}


}
